CARDMGR(8)

NAME
cardmgr - PCMCIA device manager

SYNOPSIS
cardmgr [-V] [-q] [-d] [-o] [-f] [-v] [-c configpath ] [-m modpath ] [-p pidfile ] [-s stabfile ]

DESCRIPTION
Cardmgr monitors PCMCIA sockets for card insertion and removal events. When a card is inserted, cardmgr looks up the card in a database of known cards. If the card can be identified, appropriate device drivers will be loaded and bound to the card. When a card is ejected, that card's drivers will be shut down and unloaded if possible. Based on the contents of the PCMCIA card configuration database, cardmgr may also execute arbitrary commands when appropriate cards are either inserted or removed.

All insertion and removal events, device driver loads and unloads, and startup and shutdown commands are reported in the system log file. Warnings and errors will also be logged. Current card and device information for each socket is recorded in /var/lib/pcmcia/stab.

Normally, when a card is identified, cardmgr will send a beep to the console. A beep is also generated when a card is successfully configured. A beep of lower pitch is generated if either of these steps fails. Ejecting a card produces a single beep.

When cardmgr receives a SIGHUP signal, it will reload its configuration file. When cardmgr receives a SIGTERM signal, it will shut down all sockets that are not busy and then exit, but drivers for busy sockets will stay loaded.

If the PCMCIA_OPTS environment variable is set, its contents will be parsed after the main card configuration file is read.

At startup, cardmgr requires that /tmp reside on a filesystem that permits special device files (i.e., a real linux filesystem, that is not mounted "nodev").

OPTIONS

-V  Show version information and exit.

-q  Quiet mode: don't beep when cards are inserted.

-v  Verbose mode: generates more informational messages during normal operation.

-d  Follow module dependencies when loading driver modules, by defaulting to use modprobe instead of insmod. Normally, cardmgr will try using modprobe only after an unsuccessful attempt with insmod.

-f  Foreground: do not fork and run as a daemon until after configuring any cards that are already present.

-o  One pass: configure cards that are present, then exit. This flag also forces cardmgr to run in the foreground.

-c configpath
    Look for the card configuration database and card configuration scripts in the specified directory, instead of /etc/pcmcia.

-m modpath
    Look for loadable kernel modules in the specified directory, instead of /lib/modules/`uname -r`.

-p pidfile
    Write the PID of the cardmgr process to the specified file, instead of /var/run/cardmgr.pid.

-s stabfile
    Write current socket information to the specified file, instead of /var/lib/pcmcia/stab.

FILES
/etc/pcmcia/config
    Card configuration database
/etc/pcmcia/config.opts
    Local resource settings for PCMCIA devices
/var/run/cardmgr.pid
    PID of active cardmgr process
/var/lib/pcmcia/stab
    Current card and device information for each socket.

AUTHOR
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
pcmcia(5), stab(5), cardctl(8), cardinfo(1).